## Font Rendering Font Rendering — Functions for font rendering in OpenGL |

## Functions

PangoFont * | gdk_gl_font_use_pango_font ()
PangoFont * | gdk_gl_font_use_pango_font_for_display ()

## Includes

    #include <gdk/gdkgl.h>

## Description

## Functions

### gdk_gl_font_use_pango_font ()

    PangoFont *
    gdk_gl_font_use_pango_font (const PangoFontDescription *font_desc,
                                int first,
                                int count,
                                int list_base);

Creates bitmap display lists from a PangoFont.

#### Parameters

font_desc | a PangoFontDescription describing the font to use. |
first | the index of the first glyph to be taken. |
count | the number of glyphs to be taken. |
list_base | the index of the first display list to be generated. |

#### Returns

the PangoFont used, or NULL if no font matched.

### gdk_gl_font_use_pango_font_for_display ()

    PangoFont *
    gdk_gl_font_use_pango_font_for_display
                                   (GdkDisplay *display,
                                    const PangoFontDescription *font_desc,
                                    int first,
                                    int count,
                                    int list_base);

Creates bitmap display lists from a PangoFont.

#### Parameters

display | a GdkDisplay. |
font_desc | a PangoFontDescription describing the font to use. |
first | the index of the first glyph to be taken. |
count | the number of glyphs to be taken. |
list_base | the index of the first display list to be generated. |

#### Returns

the PangoFont used, or NULL if no font matched.

## Types and Values